# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc-.42 (2020-11-10)

### Bug Fixes

- package json exports
  ([a10c0bc](https://github.com/chakra-ui/chakra-ui/commit/a10c0bcb809314a96d58c7febd9b2755e8997603))
- types
  ([7a70ea1](https://github.com/chakra-ui/chakra-ui/commit/7a70ea1dfab75639c04882828bd56f793a691841))
- **Icon:** custom icon library viewBox
  ([ec6cfd4](https://github.com/chakra-ui/chakra-ui/commit/ec6cfd4c9cd2005b34fe6d3c1852132abe757e3b))
- **icon-props-type:** make icons props optional
  ([770eba2](https://github.com/chakra-ui/chakra-ui/commit/770eba28da5b1bbc71d532348db41ee527a7cee7))
- [#891](https://github.com/chakra-ui/chakra-ui/issues/891)
  ([e107acc](https://github.com/chakra-ui/chakra-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- icon-color and icon-size props for checkbox
  ([97855b3](https://github.com/chakra-ui/chakra-ui/commit/97855b3e8eed5ab64b3b60f3abdd7356eb2a806f))
- **typescript:** synthetic default export compat
  ([e661a71](https://github.com/chakra-ui/chakra-ui/commit/e661a71884b6ee0ad5ac85b38e042f5ee7e8f705)),
  closes [#1735](https://github.com/chakra-ui/chakra-ui/issues/1735)
- case sensitivity issues in packages
  ([b423cd8](https://github.com/chakra-ui/chakra-ui/commit/b423cd88f0ede7e37b9a9eaec63cacfc1e9e5221))
- revert icon fallback to correct svg path
  ([afa4dbb](https://github.com/chakra-ui/chakra-ui/commit/afa4dbb49931391778f635784bddd3395d555df0))
- ts issue with sx prop
  ([d3b1340](https://github.com/chakra-ui/chakra-ui/commit/d3b1340cb255937927b4d4c56ce218141570b951))

### Features

- **doc-gen:** improve type readability
  ([48181ad](https://github.com/chakra-ui/chakra-ui/commit/48181ad5b6fb7ac06c84def08e1c8bb5496f17f8))
- add use-props hook for better dx
  ([0854d64](https://github.com/chakra-ui/chakra-ui/commit/0854d64f32d7344184ace1163cc68fd982964261))
- **create-icon:** extend functionality
  ([01dc586](https://github.com/chakra-ui/chakra-ui/commit/01dc5867e8573199345805dcb1751c11f7e06cef))

### Performance Improvements

- some more improvements
  ([daf94a5](https://github.com/chakra-ui/chakra-ui/commit/daf94a50f6abc9773c9552ec08b5ebf5f1cb05b9))

### Reverts

- remove viewBox prop from icon as prop
  ([cbf702b](https://github.com/chakra-ui/chakra-ui/commit/cbf702bd3eb64b200825c64613aa675449c33aad))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.10 (2020-11-10)

### Bug Fixes

- package json exports
  ([a10c0bc](https://github.com/chakra-ui/chakra-ui/commit/a10c0bcb809314a96d58c7febd9b2755e8997603))
- types
  ([7a70ea1](https://github.com/chakra-ui/chakra-ui/commit/7a70ea1dfab75639c04882828bd56f793a691841))
- **Icon:** custom icon library viewBox
  ([ec6cfd4](https://github.com/chakra-ui/chakra-ui/commit/ec6cfd4c9cd2005b34fe6d3c1852132abe757e3b))
- **icon-props-type:** make icons props optional
  ([770eba2](https://github.com/chakra-ui/chakra-ui/commit/770eba28da5b1bbc71d532348db41ee527a7cee7))
- [#891](https://github.com/chakra-ui/chakra-ui/issues/891)
  ([e107acc](https://github.com/chakra-ui/chakra-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- icon-color and icon-size props for checkbox
  ([97855b3](https://github.com/chakra-ui/chakra-ui/commit/97855b3e8eed5ab64b3b60f3abdd7356eb2a806f))
- **typescript:** synthetic default export compat
  ([e661a71](https://github.com/chakra-ui/chakra-ui/commit/e661a71884b6ee0ad5ac85b38e042f5ee7e8f705)),
  closes [#1735](https://github.com/chakra-ui/chakra-ui/issues/1735)
- case sensitivity issues in packages
  ([b423cd8](https://github.com/chakra-ui/chakra-ui/commit/b423cd88f0ede7e37b9a9eaec63cacfc1e9e5221))
- revert icon fallback to correct svg path
  ([afa4dbb](https://github.com/chakra-ui/chakra-ui/commit/afa4dbb49931391778f635784bddd3395d555df0))
- ts issue with sx prop
  ([d3b1340](https://github.com/chakra-ui/chakra-ui/commit/d3b1340cb255937927b4d4c56ce218141570b951))

### Features

- **doc-gen:** improve type readability
  ([48181ad](https://github.com/chakra-ui/chakra-ui/commit/48181ad5b6fb7ac06c84def08e1c8bb5496f17f8))
- add use-props hook for better dx
  ([0854d64](https://github.com/chakra-ui/chakra-ui/commit/0854d64f32d7344184ace1163cc68fd982964261))
- **create-icon:** extend functionality
  ([01dc586](https://github.com/chakra-ui/chakra-ui/commit/01dc5867e8573199345805dcb1751c11f7e06cef))

### Performance Improvements

- some more improvements
  ([daf94a5](https://github.com/chakra-ui/chakra-ui/commit/daf94a50f6abc9773c9552ec08b5ebf5f1cb05b9))

### Reverts

- remove viewBox prop from icon as prop
  ([cbf702b](https://github.com/chakra-ui/chakra-ui/commit/cbf702bd3eb64b200825c64613aa675449c33aad))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.9 (2020-10-29)

### Bug Fixes

- **toast:** allow custom render in update
  ([eb8bff9](https://github.com/chakra-ui/chakra-ui/commit/eb8bff911e6ec9de0165ab1e8f5ca10d5e022459)),
  closes [#2362](https://github.com/chakra-ui/chakra-ui/issues/2362)

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.7 (2020-10-25)

**Note:** Version bump only for package @hackr/chakra-ui-icon

# 1.0.0-rc.6 (2020-10-25)

**Note:** Version bump only for package @hackr/chakra-ui-icon

# 1.0.0-rc.5 (2020-09-27)

**Note:** Version bump only for package @hackr/chakra-ui-icon

# 1.0.0-rc.4 (2020-09-25)

**Note:** Version bump only for package @hackr/chakra-ui-icon

# 1.0.0-rc.3 (2020-08-30)

**Note:** Version bump only for package @hackr/chakra-ui-icon

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.2 (2020-08-09)

**Note:** Version bump only for package @hackr/chakra-ui-icon

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-rc.1](https://github.com/chakra-ui/chakra-ui/compare/@hackr/chakra-ui-icon@1.0.0-rc.0...@hackr/chakra-ui-icon@1.0.0-rc.1) (2020-08-06)

**Note:** Version bump only for package @hackr/chakra-ui-icon

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-rc.0](https://github.com/chakra-ui/chakra-ui/compare/@hackr/chakra-ui-icon@1.0.0-next.7...@hackr/chakra-ui-icon@1.0.0-rc.0) (2020-07-26)

**Note:** Version bump only for package @hackr/chakra-ui-icon

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-next.7](https://github.com/chakra-ui/chakra-ui/compare/@hackr/chakra-ui-icon@1.0.0-next.6...@hackr/chakra-ui-icon@1.0.0-next.7) (2020-07-26)

**Note:** Version bump only for package @hackr/chakra-ui-icon

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-next.6](https://github.com/chakra-ui/chakra-ui/compare/@hackr/chakra-ui-icon@1.0.0-next.5...@hackr/chakra-ui-icon@1.0.0-next.6) (2020-07-15)

**Note:** Version bump only for package @hackr/chakra-ui-icon

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-next.5](https://github.com/chakra-ui/chakra-ui/compare/@hackr/chakra-ui-icon@1.0.0-next.4...@hackr/chakra-ui-icon@1.0.0-next.5) (2020-07-15)

### Bug Fixes

- revert icon fallback to correct svg path
  ([afa4dbb](https://github.com/chakra-ui/chakra-ui/commit/afa4dbb49931391778f635784bddd3395d555df0))

### Performance Improvements

- some more improvements
  ([daf94a5](https://github.com/chakra-ui/chakra-ui/commit/daf94a50f6abc9773c9552ec08b5ebf5f1cb05b9))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-next.4 (2020-07-01)

### Bug Fixes

- [#891](https://github.com/chakra-ui/chakra-ui/issues/891)
  ([e107acc](https://github.com/chakra-ui/chakra-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- case sensitivity issues in packages
  ([b423cd8](https://github.com/chakra-ui/chakra-ui/commit/b423cd88f0ede7e37b9a9eaec63cacfc1e9e5221))
- ts issue with sx prop
  ([d3b1340](https://github.com/chakra-ui/chakra-ui/commit/d3b1340cb255937927b4d4c56ce218141570b951))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-next.3 (2020-06-28)

### Bug Fixes

- [#891](https://github.com/chakra-ui/chakra-ui/issues/891)
  ([e107acc](https://github.com/chakra-ui/chakra-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- case sensitivity issues in packages
  ([b423cd8](https://github.com/chakra-ui/chakra-ui/commit/b423cd88f0ede7e37b9a9eaec63cacfc1e9e5221))
- ts issue with sx prop
  ([d3b1340](https://github.com/chakra-ui/chakra-ui/commit/d3b1340cb255937927b4d4c56ce218141570b951))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-next.2 (2020-06-21)

### Bug Fixes

- [#891](https://github.com/chakra-ui/chakra-ui/issues/891)
  ([e107acc](https://github.com/chakra-ui/chakra-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- case sensitivity issues in packages
  ([b423cd8](https://github.com/chakra-ui/chakra-ui/commit/b423cd88f0ede7e37b9a9eaec63cacfc1e9e5221))
